function [x, y, phi] = driveRobPlot(x0, y0, phi0, ...
                                    urob0, uphi0, dt)
                                 
global urob uphi
                             
hold on                             

urob = urob0;
uphi = uphi0;

% Koordinaten-Umwandlung:
% Rob im Bodensystem -> Ursprung im Robsystem
cp = cos(phi0);
sp = sin(phi0);
xRO0 = -x0*cp - y0*sp;
yRO0 =  x0*sp - y0*cp;

% L�sung der Bewegungsgleichungen: Bewegung des Ursprungs von einem
% Beobachter auf dem Roboter aus gesehen
tspan = [ 0 dt ];
xR0 = [ xRO0 yRO0 phi0 ]';
[ t, xR ] = ode45('robKin', tspan, xR0);

% Umrechnung der Trajektorie ins Bodensystem
xF = xR;
n = size(xR, 1);
for i = 1:n
   cp = cos(xR(i,3)); sp = sin(xR(i,3));
   xn = -xR(i,1)*cp + xR(i,2)*sp;
   yn = -xR(i,1)*sp - xR(i,2)*cp;
   xF(i,1:2) = [ xn yn ];
end

x   = xF(n,1);
y   = xF(n,2);
phi = xF(n,3);

% Plot der Trajektorie
% plot (xF(:,1), xF(:,2), 'r-', 'erase', 'none' );
animatedline(xF(:,1), xF(:,2), 'Marker', '.', 'Color', 'red');
drawnow;

