function [dist] = sonar(x,y,phi,koerper,radius)
% [dist] = sonar(x,y,phi,koerper,radius);
% 
% x       : aktuelle x-Position
% y       : aktuelle y-Position
% phi     : Fahrrichtungswinkel bez. der x-Koordinate und des Bodensystems
% koerper : Matrix mit allen kleinen Koerpern
%
% dist    : dist[:,1] = Distanzen der US-Sensoren
%         : dist[:,2] = die dazu gehoerigen Winkel bez. Richtung des
%           Roboters, also phi

ns = 48;

w = zeros(ns,1);
for j = 0:ns-1,
   w(j+1) = 0*pi/2 - j*2*pi/ns + phi;
end

[m n] = size(koerper);
d = zeros(ns,ceil(n/2));
for k = 1:2:n,         % calculate for each object
   for j = 1:ns,       % each US-sensor postion
      Poly = koerper(1:koerper(m,k),k:(k+1));
      d(j,floor((k+1)/2)) = getDistSensor(Poly,x,y,w(j),radius);
   end 
end

% The columns of the matrix dd have the US-sensor distance values 
% to each object and the surrounding border.
dd = d(:,1);
for j = 2:ceil(n/2),
   dd = min(d(:,j),dd);
end

dist = [dd w-phi];

